Package org.apache.datasketches.hive.hll

## Class SketchToEstimateUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.hll.SketchToEstimateUDF

    public class SketchToEstimateUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`SketchToEstimateUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Get an estimate from a given HllSketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SketchToEstimateUDF

    public SketchToEstimateUDF()

### Method Detail

#### evaluate

    public Double evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Get an estimate from a given HllSketch

Parameters:
  `serializedSketch` - HllSketch in a serialized binary form
Returns:
  estimate of unique count